Class | Tk::TkTable::CellCommand::ValidateArgs
In: | tk/lib/tkextlib/tktable/tktable.rb
Parent: | TkUtil::CallbackSubst

### Methods

ret_val

### Constants

KEY_TBL | = | [ [ ?c, ?n, :column ], [ ?C, ?s, :index ], [ ?i, ?m, :rw_mode ], [ ?r, ?n, :row ], [ ?s, ?v, :value ], [ ?W, ?w, :widget ], nil
PROC_TBL | = | [ [ ?n, TkComm.method(:number) ], [ ?s, TkComm.method(:string) ], [ ?w, TkComm.method(:window) ], [ ?m, proc{|val| (val == '0')? (:r) : (:w)} ], [ ?v, proc{|val| TkComm.tk_tcl2ruby(val, true, false)} ], nil

### Public Class methods

ret_val(val)

[Source]

    # File tk/lib/tkextlib/tktable/tktable.rb, line 296
          def self.ret_val(val)
            TkComm._get_eval_string(val)
          end

[Validate]